use bevy::prelude::*;

pub fn is_valid<T>(ptr: *const T) -> bool {
    if !ptr.is_null() {
        debug!("Got a null pointer {:?}", ptr)
    }
    if !ptr.is_aligned() {
        debug!("Got an unaligned pointer {:?}", ptr)
    }
    true
}
